module.exports = function(RED)
{
    "use strict";

    const htmlToText = require('html-to-text');

    function htmlToTextNode(config)
    {
        RED.nodes.createNode(this,config);
        var node = this;

        node.on('input', function(msg) {
            msg.payload = htmlToText.fromString(msg.payload, {});

            node.send(msg);
        });
    }

    RED.nodes.registerType("html-to-text",htmlToTextNode);
}
